<!DOCTYPE html>
<html>
<head>
	<title>JS</title>

	<!--Script tag in head-->
	<script type="text/javascript">
		function myFunction(){
			document.getElementById('demo').innerHTML = 'HTML update';
		}
	</script>
</head>
<body>
	<h1>What can JS do?</h1>
	<p id="demo">Javascript can change HTML content.</p>
	<button onclick="myFunction()">Click me to change things!</button>


	<hr>

	<!--Script tag in head-->
	<script type="text/javascript">
		function hide(){
			document.getElementById('myImage').src = 'bulbon.jpg';
		}
		function show(){
			document.getElementById('myImage').src= 'bulboff.jpg'
		}
	</script>
	<button onclick="hide()">Turn lights ON</button>
	<img id="myImage" src="bulboff.jpg" height="250px" width="150px">
	<button onclick="show()">Turn lights OFF</button>


	<hr>

	<!--script within elements-->
	<p id="magic">This is something that will show up by magic</p>
	<button onclick="document.getElementById('magic').style.display = 'none'">Hide the text magically</button>
	<button onclick="document.getElementById('magic').style.display = 'block'">Show the text magically</button>
</body>
</html>